#[doc = "Register `DIE_MINOR` reader"]
pub struct R(crate::R<DIE_MINOR_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<DIE_MINOR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<DIE_MINOR_SPEC>> for R {
    fn from(reader: crate::R<DIE_MINOR_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `DIE_MINOR` writer"]
pub struct W(crate::W<DIE_MINOR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<DIE_MINOR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<DIE_MINOR_SPEC>> for W {
    fn from(writer: crate::W<DIE_MINOR_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `MINOR` reader - Minor revision number"]
pub struct MINOR_R(crate::FieldReader<u8, u8>);
impl MINOR_R {
    pub(crate) fn new(bits: u8) -> Self {
        MINOR_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for MINOR_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `MINOR` writer - Minor revision number"]
pub struct MINOR_W<'a> {
    w: &'a mut W,
}
impl<'a> MINOR_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xff) | (value as u8 & 0xff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:7 - Minor revision number"]
    #[inline(always)]
    pub fn minor(&self) -> MINOR_R {
        MINOR_R::new((self.bits & 0xff) as u8)
    }
}
impl W {
    #[doc = "Bits 0:7 - Minor revision number"]
    #[inline(always)]
    pub fn minor(&mut self) -> MINOR_W {
        MINOR_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Minor Revision Number\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [die_minor](index.html) module"]
pub struct DIE_MINOR_SPEC;
impl crate::RegisterSpec for DIE_MINOR_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [die_minor::R](R) reader structure"]
impl crate::Readable for DIE_MINOR_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [die_minor::W](W) writer structure"]
impl crate::Writable for DIE_MINOR_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets DIE_MINOR to value 0"]
impl crate::Resettable for DIE_MINOR_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
